package com.engine.salary.formlua.entity.parameter;



public class IllegalList {
	private final String[] operArray=new String[]{"<",">","+","-","*","/","{","}","[","]","(",")","=","!=","'","\"","!",".",">=","<="};
	private final String[] nameIllegalArray=new String[]{"<",">","+","-","*","/","{","}","[","]","(",")","=","!=","'","\"","!",".",
			"LIKE","like",">=","<=","IN","IF","AND","OR","TRUE","FALSE","NOW","DATEDIFF","DATEADD","Y","M","D","H","I","S","WEEKNUM",
			"WEEKDAY","TODAY","DATEFORMAT","COUNT","SUM","MAX","MIN","CONCAT","SEARCH","TEXT","PAD","REPLACE","VALUE","LEN","LEFT","RIGHT","MID"};
	private IllegalList(){}
	private static IllegalList illegalList=new IllegalList();
	public static IllegalList getInstance(){return illegalList;}
	public String[] getNameIllegalArray() {
		return nameIllegalArray;
	}
	public String[] getOperArray() {
		return operArray;
	}
}
